## at-spi2-atk 2.26.2

=== meson_options.txt ===
option('disable_p2p',
       description: 'Disable peer-to-peer DBus connections',
       type: 'boolean',
       value: false)

## at-spi2-atk 2.0.0

=== debian/changelog ===
at-spi2-atk (2.0.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Updated translations

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 06 Apr 2011 13:35:51 +1000

at-spi2-atk (1.91.93-0ubuntu1) natty; urgency=low

  * New upstream release
    - Removed dbus-glib-related includes, as they are no longer required.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Mar 2011 16:25:36 +1100

at-spi2-atk (1.91.92-0ubuntu1) natty; urgency=low

  * New upstream release
    - Handle text-insert and text-removed signals from ATK (BGO#638377).
    - Use the new dbus errors when compiled against a version of libdbus that
      defines them.
    - Use libatspi to get the accessibility bus and handle main loop
      integration. This fixes a crash with some builds of Firefox (FDO#35115).
      Note that this adds a dependency on libatspi.
    - Fix accessibility of applications running as root on Linux.
  * debian/control: Add libatspi2.0-dev >= 1.91.92 to build depends

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 24 Mar 2011 15:43:22 +1100

at-spi2-atk (1.91.91-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix some missing prototypes.
    - Do not exit if the accessibility bus disconnects.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 10 Mar 2011 11:42:38 +1100

at-spi2-atk (1.91.90-0ubuntu1) natty; urgency=low

  [ Mario Lang ]
  * Add libglib2.0-bin to Build-Depends.

  [ Luke Yelavich ]
  * New upstream release
    - Fix for BGO#641338: Avoid crashing when unable to listen for p2p connections.
    - Set /tmp/at-spi2 to be world-writable.
    - Fix for BGO#641869: Remove --enable-relocate option.
    - Changed accessibility key name as was done in gsettings-desktop-schemas.
    - Fixed several memory leaks.
    - Fixed some build errors.
  * debian/rules: Remove override for dh_configure, --enable-relocate has been
    removed
  * debian/control:
    - Add conflicts/replaces against at-spi
    - Remove gconf2 build dependency

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 22 Feb 2011 18:31:21 +1100

at-spi2-atk (1.91.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed the path in org.a11y.atspi.gschema.xml for lib64.
    - Implemented SetPosition, SetExtents, and SetSize for components.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 01 Feb 2011 13:58:50 +1100

at-spi2-atk (1.91.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed some memory leaks.
    - Fixed a crash if peer-to-peer connections are disabled.
    - Fixed setting of GTK_PATH with --enable-relocate (was broken in 1.91.4).
    - Support direct dbus connections to improve performance if dbus-glib
      0.90 or greater is available.
    - Added a GSettings key to specify the location of libatk-bridge.so.
    - Added a desktop file to load gail and atk-bridge with the new
      gnome-settings-daemon.
    - Attributes in a collection match rule are now expected to be sent as a
      dictionary.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 11 Jan 2011 17:42:06 -0600

at-spi2-atk (1.91.2-0ubuntu2) natty; urgency=low

  * debian/rules: Enable relocate to co-exist with the bonobo at-spi stack

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Nov 2010 09:25:30 +1100

at-spi2-atk (1.91.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed BGO#563546: Removed the g_atexit hook.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 09 Nov 2010 13:00:31 +1100

at-spi2-atk (1.91.1-0ubuntu1) natty; urgency=low

  * Initial Ubuntu packaging, based on Debian (LP: #662453)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 19 Oct 2010 11:44:57 +1100

at-spi2-atk (2.0.0-1) UNRELEASED; urgency=low

  [ Mario Lang ]
  * Initial Debian packages. (Closes: Bug#540336)

  [ Luke Yelavich ]
  * New upstream releases.

  [ Samuel Thibault ]
  * Add myself as uploader.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 19:55:56 +0100

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7.0.50~),
               intltool (>= 0.40),
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev,
               libglib2.0-bin, libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 1.91.92)
Standards-Version: 3.9.1

Package: libatk-adaptor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: at-spi
Replaces: at-spi
Description: at-spi2-atk
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	# Tests fail

override_dh_makeshlibs:
	# Spurious

## at-spi2-atk 2.0.2

=== debian/changelog ===
at-spi2-atk (2.0.2-1) experimental; urgency=low

  [ Mario Lang ]
  * Initial Debian packages. (Closes: Bug#540336)

  [ Luke Yelavich ]
  * New upstream releases.

  [ Samuel Thibault ]
  * Add myself as uploader.

  [ Luke Yelavich ]
  * Make debian/copyright follow DEP5

 -- Mario Lang <mlang@debian.org>  Mon, 25 Jul 2011 12:17:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Luke Yelavich <themuso@ubuntu.com> <themuso@ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-atk.git
@@ -13,8 +12,9 @@
                libatk1.0-dev,
                libglib2.0-bin, libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 1.91.92)
-Standards-Version: 3.9.1
+               libatspi2.0-dev (>= 1.91.92),
+               gconf2
+Standards-Version: 3.9.2
 
 Package: libatk-adaptor
 Architecture: any

## at-spi2-atk 2.2.0

=== debian/changelog ===
at-spi2-atk (2.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Really fix BGO#658013: Attach the timeout for a key listener to the
      appropriate main loop context.
    - Updated translations

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 27 Sep 2011 13:12:08 +1000

at-spi2-atk (2.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix for BGO#658013: Add timeout to check for disconnect on a key
      listener.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 23 Sep 2011 11:43:50 +1000

at-spi2-atk (2.1.91-0ubuntu3) oneiric; urgency=low

  * debian/control: Remove all breaks, as update manager will remove
    the at-spi v1 packages if there are no other rdepends, (should really
    really fix LP: #836798)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 19 Sep 2011 16:12:28 +1000

at-spi2-atk (2.1.91-0ubuntu2) oneiric; urgency=low

  * debian/control: Change conflicts to breaks against at-spi (LP: #836798)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 15 Sep 2011 14:38:45 +1000

at-spi2-atk (2.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix for BGO#645321: Use an array of bytes rather than a string for the
      atk-bridge location in the schema.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 06 Sep 2011 10:01:24 +1000

at-spi2-atk (2.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Try to use the new AtkWindow interface to register for window events.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 02 Sep 2011 07:44:43 +1000

at-spi2-atk (2.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Use libatspi constants rather than keeping duplicate copies of the
      constants in at-spi2-atk.
    - Fixed some problems when shutting down and restarting the module.
  * Update copyright
  * Bump libatspi2.0-dev build dependency

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 16 Aug 2011 11:32:55 +1000

at-spi2-atk (2.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Ensure the detail integers are initialized before sending events.
    - Map some new atk roles.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 26 Jul 2011 10:27:36 +1000

at-spi2-atk (2.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix for BGO#652797: Remove unused AtkMisc instance.
    - Only register events when something is listening.  In theory, this should
      mitigate performance loss that might show up when no ATs are running.
    - BGO#652596: Allow setting value via the DBus property again.
    - BGO#652858: Deregister objects on state-changed:defunct.
    - Add AT-SPI mapping for ATK_RELATION_NODE_PARENT_OF.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Jul 2011 09:44:22 +1000

at-spi2-atk (2.0.1-0ubuntu3) oneiric; urgency=low

  * Remove unreleased debian changelog entry, it will be re-added once the
    package is in debian
  * Remove duplicate email address in maintainer field
  * Remove gconf from build-depends
  * Make debian/copyright follow DEP5

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 30 May 2011 15:48:57 +1000

at-spi2-atk (2.0.1-0ubuntu2) oneiric; urgency=low

  * debian/rules: Remove all .la files from the libatk-adaptor apckage
  * Set debian-branch to ubuntu-oneiric in gbp.conf

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 25 May 2011 16:23:39 +1000

at-spi2-atk (2.0.1-0ubuntu1) oneiric; urgency=low

  [ Luke Yelavich ]
  * New upstream release
    - Fix a memory leak in impl_GetText

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.2 (no change needed

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 03 May 2011 13:07:26 +1000

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Luke Yelavich <themuso@ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7.0.50~),
               intltool (>= 0.40),
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev,
               libglib2.0-bin, libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 2.1.5)
Standards-Version: 3.9.2

Package: libatk-adaptor
Architecture: any
Replaces: at-spi
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: at-spi2-atk
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

## at-spi2-atk 2.2.2

=== debian/changelog ===
at-spi2-atk (2.2.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #890493)
    - Don't leave va_args dangling
    - Have Socket's implementation of ref_state_set to return empty sets
      instead of NULL
    - Make sure the a11y hierarchy under an AtkPlug is generated when embedding.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 15 Nov 2011 11:38:57 +1100

at-spi2-atk (2.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #877840)
    - * Updated Finnish translation.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 Oct 2011 12:16:48 +1100

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,8 @@
 override_dh_makeshlibs:
 	# Spurious
 
+override_dh_auto_install:
+	dh_auto_install
+	for file in $$(find debian/libatk-adaptor/usr/lib/ -name "*.la"); do \
+		rm $$file ; \
+	done

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk/([\d\.]+)\d/at-spi2-atk-(.*)\.tar.bz2

## at-spi2-atk 2.3.90

=== debian/changelog ===
at-spi2-atk (2.3.90-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.
  * Build for multi-arch, split out the schema file into a separate package, as
    the contents of the file differ between architectures

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Jason White ]
  * Add libatk-adaptor-dbg debugging package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 15:55:59 +0100

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 7.0.50~),
               intltool (>= 0.40),
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev,
               libglib2.0-bin, libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 1.91.92),
               gconf2,
               hardening-wrapper
Standards-Version: 3.9.3

Package: libatk-adaptor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: at-spi
Replaces: at-spi
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libatk-adaptor-schemas
Description: at-spi2-atk
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

Package: libatk-adaptor-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, libatk-adaptor (= ${binary:Version})
Description: at-spi2-atk - debugging symbols
 This package provides debugging symbols for the ATK to AT-SPI bridge.

Package: libatk-adaptor-schemas
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: at-spi2-atk GSettings schemas
 This package contains the GSettings schemas needed by non-GTK applications
 like clutter and unity to find the atk bridge module.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk/(\d.[02468])/at-spi2-atk-(.*)\.tar.bz2

## at-spi2-atk 2.3.91

=== debian/changelog ===
at-spi2-atk (2.3.91-1) unstable; urgency=low

  * New upstream release.
  * watch: Include odd versions again, use .xz suffix.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 02:11:59 +0100

## at-spi2-atk 2.3.92

=== debian/changelog ===
at-spi2-atk (2.3.92-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Mar 2012 01:10:10 +0100

## at-spi2-atk 2.4.0

=== debian/changelog ===
at-spi2-atk (2.4.0-1ubuntu2) precise; urgency=low

  * debian/control:
    - Demote libatk-adaptor-schemas dependency to recommends
    - libatk-adaptor-schemas should depend on libatk-adaptor, so that
      libatk-adaptor gets installed first, thus preventing file conflict
      issues on upgrade from oneiric. (LP: #973740)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 05 Apr 2012 12:45:13 +1000

at-spi2-atk (2.4.0-1ubuntu1) precise; urgency=low

  [ Jordi Mallach ]
  * Get rid of source/options, to get standard compression of the debian.tar. 

  [ Samuel Thibault ]
  * debian/control: make libatk-adaptor depend on libatk-adaptor-schemas, not
    only suggest it, to make sure it gets installed. Also depend on the same
    version for safety.

  [ Luke Yelavich ]
  * debian/control: Provide an at-spi transitional package to really fix
    upgrades from lucid to precise. (LP: #966845)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 04 Apr 2012 16:58:23 +1000

at-spi2-atk (2.4.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: libatk-adaptor should also provides: at-spi

  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * Bump debhelper to v9.
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2012 15:48:06 +0200

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>,
           Jordi Mallach <jordi@debian.org>
Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: http://live.gnome.org/Accessibility/GNOME3
Build-Depends: debhelper (>= 9),
               intltool (>= 0.40),
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev,
               libglib2.0-bin, libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 1.91.92),
               gconf2,
               hardening-wrapper
Standards-Version: 3.9.3

Package: libatk-adaptor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: at-spi (<< 2.4.0-1ubuntu1)
Replaces: at-spi (<< 2.4.0-1ubuntu1)
Provides: at-spi
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libatk-adaptor-schemas (= ${binary:Version})
Description: at-spi2-atk
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

Package: libatk-adaptor-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, libatk-adaptor (= ${binary:Version})
Description: at-spi2-atk - debugging symbols
 This package provides debugging symbols for the ATK to AT-SPI bridge.

Package: libatk-adaptor-schemas
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libatk-adaptor
Description: at-spi2-atk GSettings schemas
 This package contains the GSettings schemas needed by non-GTK applications
 like clutter and unity to find the atk bridge module.

Package: at-spi
Architecture: all
Depends: ${misc:Depends}, libatk-adaptor (= ${binary:Version})
Description: at-spi2-atk - at-spi transitional package
 This package is to help transition from the CORBA at-spi stack to the
 newer DBus based at-spi2 stack.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# Tests fail

override_dh_makeshlibs:
	# Spurious

override_dh_strip:
	dh_strip --dbg-package=libatk-adaptor-dbg

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		rm $$file ; \
	done

## at-spi2-atk 2.5.3

=== debian/changelog ===
at-spi2-atk (2.5.3-2) unstable; urgency=low

  * patches/leak*: Cherry-pick from upstream: fix reference leaks.
  * patches/socket*: Cherry-pick from upstream: mitigate at-spi socket
    creation. (Closes: #688094)
  * patches/lv: Cherry-pick from upstream: lv translation update.
  * patches/pl: Cherry-pick from upstream: pl translation update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 16:28:06 +0200

at-spi2-atk (2.5.3-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix Homepage URL, thanks DUCK!
  * copyright: Update.

  [ Luke Yelavich ]
  * New upstream release. (Closes: #678026)
  * Add libatk-bridge2.0 series of packages for the newly introduced
    libatk-bridge shared library.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jun 2012 23:35:36 -0300

at-spi2-atk (2.5.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Jun 2012 00:06:59 +0200

at-spi2-atk (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:30:02 +0200

at-spi2-atk (2.4.0-3) unstable; urgency=low

  * Rename libatk-adaptor-schemas to libatk-adaptor-data, and move message
  translations to it (closes: Bug#669986).
  * Make it not multi-arch:foreign, to make sure we do not install the
  non-native version, which would break use of the schema for native
  applications (while unbreaking for non-native ones). Make libatk-adaptor
  recommend it, not depend on it, so that it does not have to be foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Apr 2012 18:08:43 +0200

at-spi2-atk (2.4.0-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Get rid of source/options, to get standard compression of the debian.tar. 

  [ Samuel Thibault ]
  * debian/control: make libatk-adaptor depend on libatk-adaptor-schemas, not
    only suggest it, to make sure it gets installed. Also depend on the same
    version for safety.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Apr 2012 01:25:31 +0200

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>,
           Jordi Mallach <jordi@debian.org>
Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 9),
               intltool (>= 0.40),
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev,
               libglib2.0-bin, libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 1.91.92),
               gconf2,
               hardening-wrapper
Standards-Version: 3.9.3

Package: libatk-adaptor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: at-spi
Replaces: at-spi
Provides: at-spi
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libatk-adaptor-data
Description: AT-SPI 2 toolkit bridge
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

Package: libatk-adaptor-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, libatk-adaptor (= ${binary:Version})
Description: AT-SPI 2 toolkit bridge - debugging symbols
 This package provides debugging symbols for the ATK to AT-SPI bridge.

Package: libatk-adaptor-data
Architecture: any
Replaces: libatk-adaptor-schemas
Conflicts: libatk-adaptor-schemas
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: AT-SPI 2 toolkit bridge - data
 This package contains the GSettings schemas needed by non-GTK applications
 like clutter and unity to find the atk bridge module, as well as message
 translations.

Package: libatk-bridge2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AT-SPI 2 toolkit bridge - shared library
 This package contains the ATK bridge shared library.

Package: libatk-bridge2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libatk-bridge2.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.4.1-2)
Description: Development files for the AT-SPI 2 toolkit bridge
 These are the development files for libatk-bridge2.0, needed for
 compilation of programs which use it.

Package: libatk-bridge2.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libatk-bridge2.0-0 (= ${binary:Version})
Description: AT-SPI 2 toolkit bridge - debugging symbols
 This package contains the debugging symbols for the shared library for
 applications that wish to use the atk bridge interface.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,11 @@
 	# Tests fail
 
 override_dh_makeshlibs:
-	# Spurious
+	dh_makeshlibs -plibatk-bridge2.0-0
 
 override_dh_strip:
-	dh_strip --dbg-package=libatk-adaptor-dbg
+	dh_strip -plibatk-adaptor --dbg-package=libatk-adaptor-dbg
+	dh_strip -plibatk-bridge2.0-0 --dbg-package=libatk-bridge2.0-0-dbg
 
 override_dh_auto_install:
 	dh_auto_install

## at-spi2-atk 2.6.0

=== debian/changelog ===
at-spi2-atk (2.6.0-0ubuntu1) quantal; urgency=low

  * New upstrea release
    - Fix some crashes in atk_bridge_adaptor_cleanup (BGO#684434).
    - When the cache is activated, register it on the main D-Bus connection.
  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch: Dropped,
    applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Sep 2012 09:45:37 +1000

at-spi2-atk (2.5.92-0ubuntu2) quantal; urgency=low

  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch:
    - Fix a crash which is triggered when any GTK application exits.
      (LP: #1053112)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Sep 2012 09:49:59 +1000

at-spi2-atk (2.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix atspi_hyperlink_get_uri (BGO#683182).
    - Only initialize the cache when an AT is running.
    - Fix various memory leaks (BGO#683979, BGO#684077)
  * Remove references to /usr/share/locale.
  * debian/patches/atk-adaptor-schema-gtk-2-0.patch: Point to the GTK2 module
    by default, since the GTK3 module is no longer around. Not many apps
    use this gsettings key, if anything Unity is the last one left, but for
    now we should point to a module that exists for those apps that need it.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 14:31:04 +1000

at-spi2-atk (2.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1046582)
    - Removed the gtk 3.0 module (BGO#678315).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 09:22:28 +1000

at-spi2-atk (2.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Don't leak a GError when option parsing fails (BGO#679296)
    - Rework some inefficient code when removing clients and events
      (BGO#679295, BGO#679297).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 21 Aug 2012 11:29:28 +1000

at-spi2-atk (2.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Implement GetLocalizedName for actions (BGO#680598)
    - Allow to build out of source directory (BGO#680280).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Aug 2012 12:07:02 +1000

at-spi2-atk (2.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix for bug #679013 - AtspiCollection should be implemented for
      all containers
    - Don't create a (non-readable) subdirectory for the socket when root.
    - Plug ref count leaks (BGO#679285).
    - Only create a directory and a socket when requested. (LP: #1020512)
    - Only add items to the cache on children-changed if the children are
      included in the event.
    - Only send PropertyChange signals used for caching, absent listeners.
  * debian/patches/git_refcount_leak.patch: Dropped, applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Jul 2012 09:47:36 +1000

at-spi2-atk (2.5.3-1ubuntu1) quantal; urgency=low

  * debian/patches/git_refcount_leak.patch:
    - git patches to fix refcount issues leading to gtk bugs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jul 2012 22:43:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary

## at-spi2-atk 2.7.3

=== debian/changelog ===
at-spi2-atk (2.7.3-1) experimental; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:36:02 +0100

at-spi2-atk (2.7.2-1) experimental; urgency=low

  [ Samuel Thibault ]
  * control: Build-depend on atspi-2 2.5.92 or later to fix spurious dbus
    closure. Closes: #691018.

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * Update copyright file.
  * control: Add misc:Depends to libatk-adaptor-data.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2012 11:09:39 +0100

at-spi2-atk (2.7.1-1) experimental; urgency=low

  * New upstream release
    - patches/atk-adaptor-schema-gtk-2-0.patch: Remove patch, schema removed
    upstream.
    - libatk-adaptor-data.install: The schema file is not shipped any more.
    - control: Document now-empty libatk-adaptor-data as a dummy package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Oct 2012 22:21:58 +0200

at-spi2-atk (2.6.0-1) experimental; urgency=low

  * docs: Add NEWS and README files.
  * control: Remove intltool dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 18:49:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
 Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
-               intltool (>= 0.40),
                libdbus-1-dev, libdbus-glib-1-dev,
                libatk1.0-dev,
                libglib2.0-bin, libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 1.91.92),
+               libatspi2.0-dev (>= 2.5.92),
                gconf2,
                hardening-wrapper
 Standards-Version: 3.9.3
@@ -28,7 +26,6 @@
 Provides: at-spi
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libatk-adaptor-data
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -43,15 +40,14 @@
  This package provides debugging symbols for the ATK to AT-SPI bridge.
 
 Package: libatk-adaptor-data
-Architecture: any
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}
 Replaces: libatk-adaptor-schemas
 Conflicts: libatk-adaptor-schemas
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
-Description: AT-SPI 2 toolkit bridge - data
- This package contains the GSettings schemas needed by non-GTK applications
- like clutter and unity to find the atk bridge module, as well as message
- translations.
+Description: AT-SPI 2 toolkit bridge - transitional dummy package
+ This package is a dummy transitional package. It can be safely removed.
 
 Package: libatk-bridge2.0-0
 Section: libs

## at-spi2-atk 2.7.5

=== debian/changelog ===
at-spi2-atk (2.7.5-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Make libatk-bridge2.0-dev multi-arch: same.

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump build dependency version requirements.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Feb 2013 23:00:57 +0100

## at-spi2-atk 2.8.1

=== debian/changelog ===
at-spi2-atk (2.8.1-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Apr 2013 01:32:03 +0200

at-spi2-atk (2.8.0-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2013 22:48:24 +0100

at-spi2-atk (2.7.91-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 17:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev,
+               libatk1.0-dev (>= 2.7.4),
                libglib2.0-bin, libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 2.5.92),
+               libatspi2.0-dev (>= 2.7.5),
                gconf2,
                hardening-wrapper
 Standards-Version: 3.9.3
@@ -61,6 +61,7 @@
 Package: libatk-bridge2.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libatk-bridge2.0-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.4.1-2)

## at-spi2-atk 2.10.0

=== debian/changelog ===
at-spi2-atk (2.10.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi build depend to >= 2.9.90
  * Bump libatk-dev build dependency to >= 2.9.4

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 23:45:06 +0200

at-spi2-atk (2.9.5-2) unstable; urgency=low

  * Add libatk-bridge2.0-0-udeb package, needed by libgtk-3-0-udeb.
    (Closes: #723163)
  * Add libatk-adaptor-udeb, for future accessibility of graphical installer.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2013 11:14:41 +0200

at-spi2-atk (2.9.5-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Drop the gconf2 build dependency, its no longer needed,
    and causes issues with GTK 3 in Ubuntu. (Closes: #717768)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Aug 2013 23:17:58 +0200

at-spi2-atk (2.9.4-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:13:43 +0200

at-spi2-atk (2.9.3-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump libatspi2.0-dev to >= 2.9.3

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 00:22:44 +0200

at-spi2-atk (2.9.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 May 2013 23:24:03 +0200

at-spi2-atk (2.8.1-2) unstable; urgency=low

  * Upload to unstable

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 00:58:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,13 @@
 	# Tests fail
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibatk-bridge2.0-0
+	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb
 
 override_dh_strip:
 	dh_strip -plibatk-adaptor --dbg-package=libatk-adaptor-dbg
+	dh_strip -plibatk-adaptor-udeb
 	dh_strip -plibatk-bridge2.0-0 --dbg-package=libatk-bridge2.0-0-dbg
+	dh_strip -plibatk-bridge-2.0-0-udeb
 
 override_dh_auto_install:
 	dh_auto_install

## at-spi2-atk 2.10.2

=== debian/changelog ===
at-spi2-atk (2.10.2-2ubuntu1) trusty; urgency=medium

  * Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
    use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 04 Mar 2014 13:59:04 +1100

at-spi2-atk (2.10.2-2) unstable; urgency=medium

  [ Steve Langasek ]
  * control: Build-depend on dh-autoreconf.
  * rules: Pass --with autoreconf to dh. (Closes: #733685)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2014 14:15:29 +0100

at-spi2-atk (2.10.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2013 19:36:42 +0100

at-spi2-atk (2.10.0-2) experimental; urgency=low

  * Upload to experimental.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Sep 2013 00:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
 Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Homepage: http://live.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.7.4),
+               libatk1.0-dev (>= 2.9.4),
                libglib2.0-bin, libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 2.7.5),
-               gconf2,
+               libatspi2.0-dev (>= 2.9.90),
                hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: libatk-adaptor
 Architecture: any
@@ -29,6 +30,14 @@
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
+
+Package: libatk-adaptor-udeb
+Architecture: any
+Section: debian-installer
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: AT-SPI 2 toolkit bridge - module for d-i
+ This package includes the gtk-module for the debian installer.
 
 Package: libatk-adaptor-dbg
 Architecture: any
@@ -58,6 +67,14 @@
 Description: AT-SPI 2 toolkit bridge - shared library
  This package contains the ATK bridge shared library.
 
+Package: libatk-bridge-2.0-0-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: AT-SPI 2 toolkit bridge - shared library for d-i
+ This package contains the ATK bridge shared library, for the debian installer.
+
 Package: libatk-bridge2.0-dev
 Section: libdevel
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## at-spi2-atk 2.14.0

=== debian/changelog ===
at-spi2-atk (2.14.0-2ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.
    - Add gbp.conf for the Ubuntu branch.

 -- Luke Yelavich <themuso@ubuntu.com>  Sat, 25 Oct 2014 10:00:31 -0400

at-spi2-atk (2.14.0-2) unstable; urgency=medium

  * Cherry-pick c8cda37e28307ad195996ad54b9ee1680cca3ec3 from upstream, to fix
    gtktreeview speed issue described on
    https://bugzilla.gnome.org/show_bug.cgi?id=728319
    Thanks Laurent Bigonville for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 00:36:03 +0200

at-spi2-atk (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/requires.private.patch: Remove patch, merged upstream.
  * watch: Only track even releases.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2014 22:24:36 +0200

at-spi2-atk (2.12.1-1ubuntu2) utopic; urgency=medium

  * Add git-c8cda37e28307ad195996ad54b9ee1680cca3ec3.patch. LP: #1328586

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 13 Oct 2014 18:47:05 +1100

at-spi2-atk (2.12.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.
    - Add gbp.conf for the Ubuntu branch.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 23 Sep 2014 15:20:00 +1000

at-spi2-atk (2.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove unused Build-Depends on libglib2.0-bin.
  * debian/control: Add myself to Uploaders.
  * debian/control: Fix Vcs-Browser URL.
  * debian/control: Adjust version of required libatspi-2 to 2.11.2.
  * Drop hardening-wrapper and replace with dpkg-buildflags.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Jul 2014 23:31:16 +0200

at-spi2-atk (2.10.2-3ubuntu1) utopic; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.
    - Add gbp.conf for the Ubuntu branch.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 06 May 2014 13:53:20 +1000

at-spi2-atk (2.10.2-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * patches/requires.private.patch: New patch to fix typo in .pc file.
    (Closes: #734490)
  * control: Make libatk-bridge2.0-dev depend on libatspi2.0-dev.

  [ Paul Gevers ]
  * Update watch file
  * Update homepage

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 21:35:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
-           Jordi Mallach <jordi@debian.org>
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-a11y/at-spi2-atk.git;a=summary
+           Jordi Mallach <jordi@debian.org>,
+           Mario Lang <mlang@debian.org>
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/at-spi2-atk.git;a=summary
 Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
-Homepage: http://live.gnome.org/Accessibility
+Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libdbus-1-dev, libdbus-glib-1-dev,
                libatk1.0-dev (>= 2.9.4),
-               libglib2.0-bin, libglib2.0-dev,
+               libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 2.9.90),
-               hardening-wrapper
-Standards-Version: 3.9.5
+               libatspi2.0-dev (>= 2.11.2)
+Standards-Version: 3.9.6
 
 Package: libatk-adaptor
 Architecture: any
@@ -81,7 +81,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libatk-bridge2.0-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.4.1-2)
+         libglib2.0-dev (>= 2.4.1-2),
+         libatspi2.0-dev
 Description: Development files for the AT-SPI 2 toolkit bridge
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.

## at-spi2-atk 2.16.0

=== debian/changelog ===
at-spi2-atk (2.16.0-1ubuntu1) wily; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 18 May 2015 14:47:33 +1000

at-spi2-atk (2.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Tue, 05 May 2015 23:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.9.4),
+               libatk1.0-dev (>= 2.15.4),
                libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 2.11.2)
+               libatspi2.0-dev (>= 2.15.5)
 Standards-Version: 3.9.6
 
 Package: libatk-adaptor

## at-spi2-atk 2.18.1

=== debian/changelog ===
at-spi2-atk (2.18.1-2ubuntu1) xenial; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Feb 2016 14:13:57 +1100

at-spi2-atk (2.18.1-2) unstable; urgency=medium

  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/main_context: New patch to allow java_atk_wrapper to use its own
    glib main_context instead of the default one.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Feb 2016 00:30:05 +0100

at-spi2-atk (2.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 28 Oct 2015 14:10:57 +1100

at-spi2-atk (2.18.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2015 13:41:08 +0200

at-spi2-atk (2.18.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi2.0-dev build dependency to >= 2.17.90

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Sep 2015 23:32:59 +0200

at-spi2-atk (2.16.0-2) unstable; urgency=medium

  * install 90atk-adaptor in /etc/X11/Xsession.d to enable accessibility by
    default in gtk2 applications.
  * control: make sure that we have libgail-common along libatk-adaptor, so
    both modules can be enabled at the same time.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Sep 2015 13:58:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/at-spi2-atk.git;a=summary
 Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20150628),
                dh-autoreconf,
                libdbus-1-dev, libdbus-glib-1-dev,
                libatk1.0-dev (>= 2.15.4),
                libglib2.0-dev,
                libx11-dev,
-               libatspi2.0-dev (>= 2.15.5)
-Standards-Version: 3.9.6
+               libatspi2.0-dev (>= 2.17.90)
+Standards-Version: 3.9.7
 
 Package: libatk-adaptor
 Architecture: any
@@ -26,7 +26,8 @@
 Replaces: at-spi
 Provides: at-spi
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libgail-common
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -38,15 +39,6 @@
 Package-Type: udeb
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the debian installer.
-
-Package: libatk-adaptor-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libatk-adaptor (= ${binary:Version})
-Description: AT-SPI 2 toolkit bridge - debugging symbols
- This package provides debugging symbols for the ATK to AT-SPI bridge.
 
 Package: libatk-adaptor-data
 Architecture: all
@@ -87,12 +79,3 @@
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
 
-Package: libatk-bridge2.0-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libatk-bridge2.0-0 (= ${binary:Version})
-Description: AT-SPI 2 toolkit bridge - debugging symbols
- This package contains the debugging symbols for the shared library for
- applications that wish to use the atk bridge interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	# Tests fail

override_dh_makeshlibs:
	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb

override_dh_strip:
	dh_strip -plibatk-adaptor --ddeb-migration='libatk-adaptor-dbg (<< 2.18.1-2~)'
	dh_strip -plibatk-adaptor-udeb
	dh_strip -plibatk-bridge2.0-0 --ddeb-migration='libatk-bridge2.0-0-dbg (<< 2.18.1-2~)'
	dh_strip -plibatk-bridge-2.0-0-udeb

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		rm $$file ; \
	done

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk/(\d.[0-9]*[02468])/at-spi2-atk-(.*)\.tar.xz
